Imagick::oilPaintImage
Imagick::colorFloodfillImage
The Imagick class
PHP Manual

# Imagick::optimizeImageLayers

(No version information available, might be only in CVS)

Imagick::optimizeImageLayers — Removes repeated portions of images to optimize

### Description

bool Imagick::optimizeImageLayers ( void )
Warning

This function is currently not documented; only its argument list is available.

Compares each image the GIF disposed forms of the previous image in the sequence. From this it attempts to select the smallest cropped image to replace each frame, while preserving the results of the animation.

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws ImagickException on error.

Imagick::oilPaintImage
Imagick::colorFloodfillImage
The Imagick class
PHP Manual